Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 756298 - media-libs/gstreamer-1.18.x version bump
Summary: media-libs/gstreamer-1.18.x version bump
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 5 votes (vote)
Assignee: GStreamer package maintainers
URL:
Whiteboard:
Keywords:
Depends on: 690468
Blocks: 749032
  Show dependency tree
 
Reported: 2020-11-24 09:55 UTC by deim
Modified: 2021-02-12 12:28 UTC (History)
7 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description deim 2020-11-24 09:55:33 UTC
There is version 1.18.x already
Comment 1 jospezial 2020-12-12 18:08:14 UTC
GStreamer 1.18.2 released
Comment 2 inasprecali 2021-01-07 18:57:45 UTC
Bump.  Some of the current plugins, such as gst-plugins-libav, fail to build against current ffmpeg development builds.  Please update.
Comment 3 jospezial 2021-01-07 19:45:27 UTC
(In reply to inasprecali from comment #2)
> Bump.  Some of the current plugins, such as gst-plugins-libav, fail to build
> against current ffmpeg development builds.  Please update.

related gst-plugins-libav and ffmpeg-9999:
https://gitlab.freedesktop.org/gstreamer/gst-libav/-/issues/85
Please advice these developers to do something.
If there was a new release of ffmpeg, more people would be angry about that or find a solution.

I use
EGIT_OVERRIDE_COMMIT_FFMPEG="87f0c8280c7556b52b72b9379547eed77e9810d7"
for emerge ffmpeg.
That was the last commit before the commit that causes gst-plugins-libav to fail build.
Comment 4 Lars Wendler (Polynomial-C) gentoo-dev 2021-01-14 09:36:52 UTC
gstreamer-1.18.3 released...
Comment 5 jospezial 2021-02-07 21:02:00 UTC
We even don't have gstreamer-1.16.3 in the tree which has some security fixes.
Soon gstreamer-1.20 will be released and we stick on 1.16.2 which was released on 03 December 2019.

gstreamer should get more love in Gentoo.
Comment 6 Joakim Tjernlund 2021-02-09 18:58:32 UTC
Ping? Can we have 1.16.3 until the meson stuff has been sorted out?
Comment 7 jospezial 2021-02-12 12:28:27 UTC
(In reply to Joakim Tjernlund from comment #6)
> Ping? Can we have 1.16.3 until the meson stuff has been sorted out?

https://github.com/gentoo/gentoo/pull/19391
gstreamer packages: Security bump to version 1.16.3